import { declare } from '@babel/helper-plugin-utils';
import syntaxOptionalCatchBinding from '@babel/plugin-syntax-optional-catch-binding';

var index = declare(api => {
  api.assertVersion(7);
  return {
    name: "transform-optional-catch-binding",
    inherits: syntaxOptionalCatchBinding.default,
    visitor: {
      CatchClause(path) {
        if (!path.node.param) {
          const uid = path.scope.generateUidIdentifier("unused");
          const paramPath = path.get("param");
          paramPath.replaceWith(uid);
        }
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
